org.apache.xerces.xs

## Interface XSMultiValueFacet

- All Superinterfaces:
    XSObject

      public interface XSMultiValueFacet
      extends XSObject

  Describes a multi-value constraining facets: pattern and enumeration.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
    `ObjectList` | `getEnumerationValues()` A list of XSValue objects.
    `short` | `getFacetKind()` The name of the facet, i.e.
    `StringList` | `getLexicalFacetValues()` Values of this facet.

    - ### Methods inherited from interface org.apache.xerces.xs.XSObject

      `getName, getNamespace, getNamespaceItem, getType`

- - ### Method Detail

    - #### getFacetKind

          short getFacetKind()

      The name of the facet, i.e. `FACET_ENUMERATION` and `FACET_PATTERN` (see `XSSimpleTypeDefinition`).

    - #### getLexicalFacetValues

          StringList getLexicalFacetValues()

      Values of this facet.

    - #### getEnumerationValues

          ObjectList getEnumerationValues()

      A list of XSValue objects. The actual enumeration values.

    - #### getAnnotations

          XSObjectList getAnnotations()

      A sequence of [annotations] or an empty `XSObjectList`.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.